/**
 *  \file
 *  \author:    Joshua J Bialkowski (jbialk@mit.edu)
 *  \date:      Oct 28, 2009
 *  \brief:
 *
 *  detail:
 */

#ifndef __CTesterFrame__
#define __CTesterFrame__



#include "CTesterForms.h"
#include "CTxDuino.h"

namespace txduino
{


/** Implementing CTesterFrameBase */
class CTesterFrame : public CTesterFrameBase
{
    protected:
        CTxDuino*   m_tx;   /// pointer to the opened txduino device API object
        bool        m_play; /// whether or not to actually send commands

        wxSpinCtrl*  m_minSpins[8];    /// array of spin controls for easy iter
        wxSpinCtrl*  m_neutSpins[8];   /// array of spin controls for easy iter
        wxSpinCtrl*  m_maxSpins[8];    /// array of spin controls for easy iter

        // Handlers for CTesterFrameBase events.
        void attemptDisconnect( wxCloseEvent& event );
        void attemptConnect( wxCommandEvent& event );
        void setValueSpin( wxSpinEvent& event );
        void setValue( wxCommandEvent& event );
        void pause( wxCommandEvent& event );
        void play( wxCommandEvent& event );
        void save( wxCommandEvent& event );
        void load( wxCommandEvent& event );
        void saveDefault( wxCommandEvent& event );

    public:
        /** Constructor */
        CTesterFrame( wxWindow* parent );
};

}

#endif // __CTesterFrame__
