/**
 * 	\file		IOException.h
 *  \author:    Joshua J Bialkowski (jbialk@mit.edu)
 *  \date:      Oct 28, 2009
 *  \brief:
 *
 *  detail:
 */

#ifndef IOEXCEPTION_H_
#define IOEXCEPTION_H_

#include "Exception.h"

namespace txduino
{

/**
 *  \brief  thrown when the provided argument has a value that is not allowed
 *
 *  Simple exception that is thrown when the provided argument to a function
 *  is not allowed
 *
 *  \see    StringException
 */
class IOException: public Exception
{
    public:
        IOException( const char *message )      throw();
        IOException( const std::string& message )     throw();

        virtual ~IOException()            throw();

        virtual const char* getClassName()                    throw();
};

}

#endif /* IOEXCEPTION_H_ */
